{% extends "wafer/base.html" %}
{% load i18n %}

{% block title %}User profile for {{ object.userprofile.display_name }} - {{ WAFER_CONFERENCE_NAME }}{% endblock title %}
{% block content %}
{% with profile=object.userprofile %}
<div class="row">
    <div class="col-md-3">
        <div class="panel panel-default">
            <div class="panel-body text-center">
            {% with profile.avatar_url as avatar_url %}
                {% if avatar_url != None %}
                <img src="{{ profile.avatar_url }}" class="img-rounded">
                {% endif %}
            {% endwith %}
            {% if can_edit %}
                <div>
                <button class="btn btn-default btn-xs" rel="popover" data-toggle="popover"
                    data-title="{% trans 'Changing Your Mugshot' %}" data-html="true" data-trigger="focus"
                    data-placement="bottom" data-content='{% blocktrans %}
                        Pictures provided by <a href="https://www.libravatar.org/">libravatar</a>
                        (which falls back to <a href="https://secure.gravatar.com/">Gravatar</a>).<br>
                        Change your picture there.{% endblocktrans %}'>{% trans 'Edit Mugshot' %}</button>
                </div>
            {% endif %}
            </div>
        </div>
        {% if can_edit %}
        <div class="panel panel-profile">
            <div class="panel-heading">
                My Profile
            </div>
            <div class="panel-body">
                <ul class="nav nav-pills nav-stacked">
                    <li><a href="{% url 'wafer_user_edit' object.username %}"><i class="fa fa-fw fa-pencil-square-o"></i> {% trans 'Edit User' %}</a></li>
                    <li><a href="{% url 'wafer_user_edit_profile' object.username %}"><i class="fa fa-fw fa-user"></i> {% trans 'Edit Profile' %}</a></li>
                    {% if WAFER_REGISTRATION_OPEN %}
                        {% if WAFER_REGISTRATION_MODE == 'form' %}
                            {% url 'wafer_register_view' object.username as register_url %}
                        {% elif WAFER_REGISTRATION_MODE == 'ticket' and not profile.is_registered %}
                            {% url 'wafer_ticket_claim' as register_url %}
                        {% endif %}
                        {% if register_url %}
                        <li><a href="{{ register_url }}"><i class="fa fa-fw fa-check-square-o"></i> {% trans 'Register' %}</a></li>
                        {% endif %}
                    {% endif %}
                    <li><a href="{% url 'wafer_talk_submit' %}"><i class="fa fa-fw fa-comment"></i> {% trans 'Submit Talk Proposal' %}</a></li>
                </ul>
            </div>
        </div>
        {% endif %}
    </div>
    <div class="col-md-9">
        <h1>{{ profile.display_name }}{% if can_edit and profile.is_registered %}<span class="label label-success pull-right">{% blocktrans %}Registered{% endblocktrans %}</span>{% endif %}</h1>
        {% if can_edit %}
        {% if not profile.homepage_url or not profile.bio %}
        <div class="alert alert-info">
            <i class="fa fa-fw fa-info-circle"></i> <strong>No profile:</strong> You don't have a profile set up yet. <a href="{% url 'wafer_user_edit_profile' object.username %}">Edit your profile</a>.
        </div>
        {% endif %}
        {% if not profile.is_registered %}
            {% if profile.pending_talks.exists or profile.accepted_talks.exists %}
            <div class="alert alert-danger"><i class="fa fa-fw fa-exclamation-triangle"></i>
                    {% blocktrans %}
                        <strong>WARNING:</strong>
                        Talk proposal submitted, but not registered.
                    {% endblocktrans %}
                    {% if WAFER_REGISTRATION_OPEN %}
                    <a href="{% url 'wafer_register_view' object.username %}">{% trans "Register now!" %}</a>
                    {% endif %}
                </div>
            {% else %}
            <div class="alert alert-warning">
                <i class="fa fa-fw fa-exclamation-circle"></i> <strong>Not registered:</strong> You aren't registered yet. <a href="{% url 'wafer_register_view' object.username %}">{% trans 'Register' %} now</a>.
            </div>
            {% endif %}
        {% endif %}
        {% endif %}
        {% if profile.homepage_url %}
        <p><i class="fa fa-fw fa-globe"></i> <a href="{{ profile.homepage_url }}">{{ profile.homepage_url }}</a></p>
        {% endif %}
        <!--
        {% if profile.twitter_handle %}
        <p>
            <a href="https://twitter.com/{{ profile.twitter_handle }}" class="twitter-follow-button" data-show-count="false">
                {% blocktrans with handle=profile.twitter_handle %}Follow @{{ handle }}{% endblocktrans %}
            </a>
        </p>
        {% endif %}
        {% if profile.github_username %}
        <p>
            <a href="https://github.com/{{ profile.github_username }}">
                {% blocktrans with username=profile.github_username %}GitHub: {{ username }}{% endblocktrans %}
            </a>
        </p>
        {% endif %}
        -->
        {% if profile.bio %}
        {{ profile.bio|linebreaks }}
        {% endif %}
        {% if can_edit %}
        {% endif %}
        {# Accepted talks are globally visible #}
        {% if profile.accepted_talks.exists %}
        <h2>{% trans 'Accepted Talks:' %}</h2>
        {% for talk in profile.accepted_talks %}
        <div class="panel panel-default">
            <div class="panel-heading"><a href="{{ talk.get_absolute_url }}">{{ talk.title }}</a></div>
            <div class="panel-body">{{ talk.abstract.rendered|safe }}</div>
        </div>
        {% endfor %}
        {% endif %}
        {# Submitted talk proposals are only visible to the owner #}
        {% if can_edit %}
        {% if profile.pending_talks.exists %}
        <h2>{% trans 'Submitted Talks (under consideration):' %}</h2>
        {% for talk in profile.pending_talks %}
        <div class="panel panel-default">
            <div class="panel-heading"><a href="{{ talk.get_absolute_url }}">{{ talk.title }}</a></div>
            <div class="panel-body">{{ talk.abstract.rendered|safe }}</div>
        </div>
        {% endfor %}
        {% endif %}
        {% endif %}
        {% endwith %}
    </div>
</div>
{% endblock %}
{% block extra_foot %}
    <script type="text/javascript">
        {% if profile.twitter_handle %}
        // Twitter boilerplate
        !function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (! d.getElementById(id)) {
                js = d.createElement(s);
                js.id = id;
                js.src = "//platform.twitter.com/widgets.js";
                fjs.parentNode.insertBefore(js, fjs);
            }
        }(document, "script", "twitter-wjs");
        {% endif %}
    </script>
{% endblock %}
